API Key

HEAD /v1/videos/{id}/content

API Key · HEAD /v1/videos/{id}/content

仅当前创建Key可读取成功结算视频。无凭据访问固定KIE CDN、公网地址解析并固定连接、禁重定向;最多512MiB、2分钟含下游写入截止、8个并发,不保存视频字节。未知长度溢出或复制失败中止HTTP流,不能返回成功截断;variant仅video,不支持thumbnail/spritesheet。

Authentication

API Key. Session/administrative writes are not executed in the public Playground. Use curl / SDK; the public Playground does not execute deletion or HEAD.

Endpoint

curl --head 'https://api.oneaster.ai/v1/videos/00000000-0000-4000-8000-000000000001/content' \
  --header 'Authorization: Bearer '"$ONEASTER_API_KEY"

Parameters

- id (path, Required): {"type":"string","format":"uuid"}

- variant (query, Optional): {"type":"string","enum":["video"]}

- Range (header, Optional): {"type":"string"} 仅单个bytes范围;不支持多段。

- If-Range (header, Optional): {"type":"string"}

Responses

200

可信供应商MP4字节;HEAD无body。

{
  "content": {},
  "headers": {
    "Content-Type": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Length": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Range": {
      "schema": {
        "type": "string"
      }
    },
    "Accept-Ranges": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Disposition": {
      "schema": {
        "type": "string"
      }
    },
    "Cache-Control": {
      "schema": {
        "type": "string"
      }
    }
  }
}

206

单个Range的部分视频;HEAD无body。

{
  "content": {},
  "headers": {
    "Content-Type": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Length": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Range": {
      "schema": {
        "type": "string"
      }
    },
    "Accept-Ranges": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Disposition": {
      "schema": {
        "type": "string"
      }
    },
    "Cache-Control": {
      "schema": {
        "type": "string"
      }
    }
  }
}

409

视频未成功结算。

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "message": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "param": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "message",
              "type",
              "param",
              "code"
            ]
          }
        },
        "required": [
          "error"
        ]
      }
    }
  },
  "headers": {}
}

410

供应商临时产物已过期或不可用。

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "message": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "param": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "message",
              "type",
              "param",
              "code"
            ]
          }
        },
        "required": [
          "error"
        ]
      }
    }
  },
  "headers": {}
}

416

供应商不满足范围;无视频body。

{
  "content": {},
  "headers": {
    "Content-Type": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Length": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Range": {
      "schema": {
        "type": "string"
      }
    },
    "Accept-Ranges": {
      "schema": {
        "type": "string"
      }
    },
    "Content-Disposition": {
      "schema": {
        "type": "string"
      }
    },
    "Cache-Control": {
      "schema": {
        "type": "string"
      }
    }
  }
}

default

标准OpenAI错误,无Core success/data外壳。

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "message": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "param": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "message",
              "type",
              "param",
              "code"
            ]
          }
        },
        "required": [
          "error"
        ]
      }
    }
  },
  "headers": {}
}